Forum: JRuby Duplicate extensions not allowed (OpenSSL::SSL::SSLError)

98b7b9938a25030822864b01c6e6db81?d=identicon&s=25 Michael Ni (Guest)
on 2013-08-30 09:50
(Received via mailing list)
Does anyone know how to resolve this issue?

I'm getting it with the excon gem and ruby 1.7.4

#<Excon::Errors::SocketError: problem creating X509 Aux certificate:
java.io.IOException: problem parsing cert:
java.security.cert.CertificateParsingException: java.io.IOException:
Duplicate extensions not allowed (OpenSSL::SSL::SSLError)>
problem creating X509 Aux certificate: java.io.IOException: problem
parsing
cert: java.security.cert.CertificateParsingException:
java.io.IOException:
Duplicate extensions not allowed (OpenSSL::SSL::SSLError)
Excon::Errors::SocketError: problem creating X509 Aux certificate:
java.io.IOException: problem parsing cert:
java.security.cert.CertificateParsingException: java.io.IOException:
Duplicate extensions not allowed (OpenSSL::SSL::SSLError)
from org/jruby/ext/openssl/SSLContext.java:229:in `setup'
from org/jruby/ext/openssl/SSLSocket.java:145:in `initialize'
from
/Users/mike/.rvm/gems/jruby-1.7.2/gems/excon-0.25.3/lib/excon/ssl_socket.rb:64:in
`initialize'
from
/Users/mike/.rvm/gems/jruby-1.7.2/gems/excon-0.25.3/lib/excon/connection.rb:361:in
`socket'
from
/Users/mike/.rvm/gems/jruby-1.7.2/gems/excon-0.25.3/lib/excon/connection.rb:105:in
`request_call'
from
/Users/mike/.rvm/gems/jruby-1.7.2/gems/excon-0.25.3/lib/excon/middlewares/mock.rb:42:in
`request_call'
from
/Users/mike/.rvm/gems/jruby-1.7.2/gems/excon-0.25.3/lib/excon/middlewares/instrumentor.rb:22:in
`request_call'
from
/Users/mike/.rvm/gems/jruby-1.7.2/gems/excon-0.25.3/lib/excon/middlewares/base.rb:15:in
`request_call'
Please log in before posting. Registration is free and takes only a minute.
Existing account

NEW: Do you have a Google/GoogleMail, Yahoo or Facebook account? No registration required!
Log in with Google account | Log in with Yahoo account | Log in with Facebook account
No account? Register here.